# Class Log

java.lang.Object
org.snpeff.util.Log

public class Log extends Object
Logging

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Log.FatalErrorBehabiour`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_ERRORS`
`static final int`
`MAX_WARNINGS`
`protected static Map<ErrorWarningType, Integer>`
`warnCount`

## Constructor Summary

Constructors
Constructor
Description
`Log()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`debug(Object obj)`
Prints a debug message (prints class name, method and line number)
`static void`
`debug(Object obj, int offset)`
Prints a debug message (prints class name, method and line number)
`static void`
`debug(Object obj, int offset, boolean newLine)`
Prints a debug message (prints class name, method and line number)
`static void`
`error(String msg)`
Show a warning message (up to MAX_ERRORS times)
`static void`
`error(Throwable e, String message)`
`static void`
`fatalError(String message)`
Show an error message and exit
`static void`
`fatalError(Throwable e, String message)`
`static Map<ErrorWarningType, Integer>`
`getWarnCount()`
`static void`
`info(Object msg)`
Show absolute timer value and a message on STDERR
`static void`
`infoln(Object msg)`
Show absolute timer value and a message on STDERR (prepend a newline)
`static void`
`reset()`
Reset all parameters, warning counters, silenced warningis, etc.
`static void`
`setFatalErrorBehabiour(Log.FatalErrorBehabiour fatalErrorBehabiour)`
`static void`
`silenceWarning(ErrorWarningType warningType)`
`static void`
`warning(String msg)`
`static void`
`warning(ErrorWarningType warnType, String msg)`
Show a warning message (up to MAX_ERRORS times)
`static void`
`warningln(String msg)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_WARNINGS

public static final int MAX_WARNINGS

See Also:
  - Constant Field Values

### MAX_ERRORS

public static final int MAX_ERRORS

See Also:
  - Constant Field Values

### warnCount

protected static Map<ErrorWarningType, Integer> warnCount

## Constructor Details

### Log

public Log()

## Method Details

### debug

public static void debug(Object obj)
Prints a debug message (prints class name, method and line number)

### debug

public static void debug(Object obj, int offset)
Prints a debug message (prints class name, method and line number)

### debug

public static void debug(Object obj, int offset, boolean newLine)
Prints a debug message (prints class name, method and line number)

### error

public static void error(String msg)
Show a warning message (up to MAX_ERRORS times)

### error

public static void error(Throwable e, String message)

### fatalError

public static void fatalError(String message)
Show an error message and exit

### fatalError

public static void fatalError(Throwable e, String message)

### getWarnCount

public static Map<ErrorWarningType, Integer> getWarnCount()

### info

public static void info(Object msg)
Show absolute timer value and a message on STDERR

### infoln

public static void infoln(Object msg)
Show absolute timer value and a message on STDERR (prepend a newline)

### reset

public static void reset()
Reset all parameters, warning counters, silenced warningis, etc.

### setFatalErrorBehabiour

public static void setFatalErrorBehabiour(Log.FatalErrorBehabiour fatalErrorBehabiour)

### silenceWarning

public static void silenceWarning(ErrorWarningType warningType)

### warning

public static void warning(String msg)

### warningln

public static void warningln(String msg)

### warning

public static void warning(ErrorWarningType warnType, String msg)
Show a warning message (up to MAX_ERRORS times)